Bug 49260 - Can't choose correct dos partition for LILO from installer
Can't choose correct dos partition for LILO from installer
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
All Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-17 10:56 EDT by Torsten Schuetze
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-27 15:32:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Torsten Schuetze 2001-07-17 10:56:19 EDT
Following situation: Windows 2000 is installed on first hard disk sda, W2K
boot loader in /dev/sda1, Linux will be installed on second hard disk sdb
with LILO in MBR (boot=dev/sda)
I have a FAT32 partition for data exchange with W2K on sda6. The installer
lets me choose /dev/sda6 to be included in LILO ALTHOUGH this partition is
not bootable and the W2K boot manager is on /dev/sda1. But this partition
can't be selected from within anaconda. I have to do it manually after the
installation is finished. This should be fixed for future versions since
W2K and NT can meanwhile perfectly boot from within LILO.

Same situation occurs for Windows NT.
Comment 1 Brent Fox 2001-07-18 10:57:39 EDT
Strange.  The installer looks for FAT partitions that are marked as active, so I
can't explain why this would happen.  

Can you send the output of 'fdisk -l /dev/sda'?
Comment 2 Torsten Schuetze 2001-07-19 02:23:16 EDT
Okay, here is the output of fdisk -l /dev/sda
 
Disk /dev/sda: 255 heads, 63 sectors, 2221 cylinders
Units = cylinders of 16065 * 512 bytes
 
   Device Boot    Start       End    Blocks   Id  System
/dev/sda1   *         1       522   4192933+   7  HPFS/NTFS
/dev/sda2           523      2221  13647217+   f  Win95 Ext'd (LBA)
/dev/sda5           523      1044   4192933+   7  HPFS/NTFS
/dev/sda6          1045      1299   2048256    b  Win95 FAT32
/dev/sda7          1300      1758   3686886    7  HPFS/NTFS
/dev/sda8          1759      2221   3719016    7  HPFS/NTFS


/dev/sda6 has been proposed by anaconda, but /dev/sda1 should be included.
Comment 3 Brent Fox 2001-07-20 18:31:03 EDT
Ok, I can explain this behavior.  The installer scans for FAT partitions.  We
don't currently handle NTFS partitions at all in the installer.  If your
/dev/sda1 partition was FAT instead of NTFS, then things would have gone
smoothly.  Some people apparently have problems booting NTFS from LILO.  So,
even if we let you add a boot image manually, it still may not work.  

We do need some work on the bootloader, but we can't handle it in the current
development cycle.  We will address this issue in the future, but I'm deferring
it for now.
Comment 4 Jeremy Katz 2002-01-21 20:07:44 EST
This will be handled better, allowing you to add undetected options, for the
next release.

Note You need to log in before you can comment on or make changes to this bug.